/*
 * ni-add-ip-dialog.h
 * This file is part of Network Inador
 *
 * Copyright (C) 2021 - Gatuno
 *
 * Network Inador is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Network Inador is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Network Inador; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, 
 * Boston, MA  02110-1301  USA
 */

#ifndef __NI_IP_ADD_DIALOG_H__
#define __NI_IP_ADD_DIALOG_H__

#include <glib-object.h>

#include "ni-ip.h"

G_BEGIN_DECLS

typedef struct _NIIPAddDialogClass NIIPAddDialogClass;
typedef struct _NIIPAddDialog NIIPAddDialog;
typedef struct _NIIPAddDialogPrivate NIIPAddDialogPrivate;

/*
 * Type declaration.
 */
#define NI_TYPE_IP_ADD_DIALOG (ni_ip_add_dialog_get_type ())
#define NI_IP_ADD_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST((obj), NI_TYPE_IP_ADD_DIALOG, NIIPAddDialog))
#define NI_IP_ADD_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST((klass), NI_TYPE_IP_ADD_DIALOG, NIIPAddDialogClass))
#define NI_IS_IP_ADD_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE((obj), NI_TYPE_IP_ADD_DIALOG))
#define NI_IS_IP_ADD_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass), NI_TYPE_IP_ADD_DIALOG))
#define NI_IP_ADD_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS((obj), NI_TYPE_IP_ADD_DIALOG, NIIPAddDialogClass))

GType ni_ip_add_dialog_get_type (void);

struct _NIIPAddDialogClass {
	GtkDialogClass parent_class;
	
};

struct _NIIPAddDialog {
	GtkDialog parent_instance;
	
	NIIPAddDialogPrivate *priv;
};

/*
 * Method definitions.
 */
GtkWidget* ni_ip_add_dialog_new (int family);

gboolean ni_ip_add_dialog_get_address (NIIPAddDialog *dialog, struct_addr *addr, int *prefix);
gboolean ni_ip_add_dialog_has_p2p_address (NIIPAddDialog *dialog);
gboolean ni_ip_add_dialog_get_p2p_address (NIIPAddDialog *dialog, struct_addr *addr);
gboolean ni_ip_add_dialog_get_noprefix (NIIPAddDialog *dialog);

G_END_DECLS

#endif /* __NI_IP_ADD_DIALOG_H__ */

